SUPPORTED_RESOLUTIONS = {
    "Unreal Engine": [
        (127, 127),
        (253, 253),
        (505, 505),
        (1009, 1009),
        (2017, 2017),
        (4033, 4033),
        (8129, 8129)
    ]
}

SUPPORTED_EPSG_CODES = [
    6669,
    6670,
    6671,
    6672,
    6673,
    6674,
    6675,
    6676,
    6677,
    6678,
    6679,
    6680,
    6681,
    6682,
    6683,
    6684,
    6685,
    6686,
    6687,
    2443,
    2444,
    2445,
    2446,
    2447,
    2448,
    2449,
    2450,
    2451,
    2452,
    2453,
    2454,
    2455,
    2456,
    2457,
    2458,
    2459,
    2460,
    2461
]

# 矩形選択時に表示する最大グリッド数
MAX_SHOWN_GRIDS_COUNT = 1000

# 1ピクセルあたり地理的距離の小数点以下桁数
PX_DIST_DECIMAL_DIGITS = 1

# 標高の余裕幅の小数点以下桁数
HEIGHT_MARGIN_DECIMAL_DIGITS = 1

# 基準標高の小数点以下桁数
HEIGHT_DECIMAL_DIGITS = 3

# 標高係数の小数点以下桁数
HEIGHT_MULTIPLIER_DECIMAL_DIGITS = 5

# TIFFをPNGに変換する際に考慮する高低差(m)
HEIGHT_DIFF_LIST = [
    65.535,
    655.35,
    6553.5,
]
